<div class="example-container mat-elevation-z8">
  
  <mat-form-field class="search" appearance="standard" >
    <mat-label>بحث حسب الاسم</mat-label>
    <input class="inputsearch"
      matInput
      (keyup)="applyFilter($event)"
      placeholder="بحث"
      #input
    />
  </mat-form-field>

  <mat-table #table matSort  [dataSource]="dataSource">

    <!-- name Column -->
    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef  mat-sort-header>
        الاسم </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
    </ng-container>

    <!-- email Column -->
    <ng-container matColumnDef="email">
      <mat-header-cell *matHeaderCellDef mat-sort-header> الايميل </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.email}} </mat-cell>
    </ng-container>

    <!-- phone Column -->
    <ng-container matColumnDef="phone">
      <mat-header-cell *matHeaderCellDef mat-sort-header> الرقم </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.phone}} </mat-cell>
    </ng-container>

    <!-- birth Column -->
    <ng-container matColumnDef="date">
      <mat-header-cell *matHeaderCellDef mat-sort-header> الميلاد </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.date}} </mat-cell>
    </ng-container>

  <!-- action Column -->
  <ng-container  matColumnDef="action">
    <mat-header-cell *matHeaderCellDef>  </mat-header-cell>
    <mat-cell *matCellDef="let element"> 
      <button mat-icon-button color="primary" [disabled]="userRole=='user'" (click)="onDeleteUser.emit(element)" aria-label="Example icon button with a home icon">
        <mat-icon>delete</mat-icon>
      </button>
      <button mat-icon-button color="primary" [disabled]="userRole=='user'" (click)="onEditUser.emit(element)" aria-label="Example icon button with a home icon">
        <mat-icon>edit</mat-icon>
      </button> </mat-cell>
  </ng-container>


    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>

  <mat-paginator #paginator [pageSize]="5" [showFirstLastButtons]="true">
  </mat-paginator>
</div>